Index: /code/branches/presentation2011/data/levels/asteroidField.oxw
===================================================================
--- /code/branches/presentation2011/data/levels/asteroidField.oxw	(revision 9005)
+++ /code/branches/presentation2011/data/levels/asteroidField.oxw	(revision 9006)
@@ -3,5 +3,5 @@
  description = "Test of the asteroidField generator."
   screenshot = "asteroidFieldTest.png"
- tags = ""
+ tags = "test, showcase"
 />
 
Index: /code/branches/presentation2011/data/levels/presentationHS11.oxw
===================================================================
--- /code/branches/presentation2011/data/levels/presentationHS11.oxw	(revision 9006)
+++ /code/branches/presentation2011/data/levels/presentationHS11.oxw	(revision 9006)
@@ -0,0 +1,47 @@
+<LevelInfo
+ name = "Presentation HS 2011"
+ description = "Oxonox Proudly Presents New Features From HS 2011"
+ tags = "presentation"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/skyBoxMoreNebula"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+
+<!-- Generate asteroid field and asteroid belt -->
+<!-- asteroidBelt(centerX, centerY, centerZ, yaw, pitch, segments, minSize, maxSize, radius0, radius1, count, fog) --> 
+    <?lua
+    	dofile("includes/asteroidField.lua")
+    	asteroidBelt(20000, 0, 13000, -48, -34, 70, 100, 200, 22000, 20000, 500, 1)
+
+    ?>
+
+
+
+
+<!--    	asteroidBelt(0, 0, 0, 0, 0, 70, 100, 200, 22000, 20000, 500, 1) -->
+  </Scene>
+</Level>
+
Index: /code/branches/presentation2011/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- /code/branches/presentation2011/src/orxonox/controllers/ArtificialController.cc	(revision 9005)
+++ /code/branches/presentation2011/src/orxonox/controllers/ArtificialController.cc	(revision 9006)
@@ -29,4 +29,5 @@
 #include "ArtificialController.h"
 #include "core/CoreIncludes.h"
+#include "core/command/ConsoleCommand.h"
 #include "worldentities/pawns/Pawn.h"
 #include "worldentities/pawns/SpaceShip.h"
@@ -41,4 +42,5 @@
 namespace orxonox
 {
+    SetConsoleCommand("ArtificialController", "setbotlevel",      &ArtificialController::setAllBotLevel);
 
     ArtificialController::ArtificialController(BaseObject* creator) : FormationController(creator)
@@ -113,5 +115,4 @@
     }
 
-//****************************************************************************************** NEW
     /**
         @brief DoFire is called when a bot should shoot and decides which weapon is used and whether the bot shoots at all.
Index: /code/branches/presentation2011/src/orxonox/controllers/ArtificialController.h
===================================================================
--- /code/branches/presentation2011/src/orxonox/controllers/ArtificialController.h	(revision 9005)
+++ /code/branches/presentation2011/src/orxonox/controllers/ArtificialController.h	(revision 9006)
@@ -33,4 +33,5 @@
 #include "controllers/FormationController.h"
 
+
 namespace orxonox
 {
@@ -44,5 +45,5 @@
 
             virtual void changedControllableEntity();
-//************************************************************************* NEW 
+
             virtual void doFire();
             void setBotLevel(float level=1.0f);
@@ -69,5 +70,5 @@
             bool isCloseAtTarget(float distance) const;
             bool isLookingAtTarget(float angle) const;
-//************************************************************************* NEW 
+
             float botlevel_; //<! Makes the level of a bot configurable.
             enum Mode {DEFAULT, ROCKET, DEFENCE, MOVING};//TODO; implement DEFENCE, MOVING modes
Index: /code/branches/presentation2011/src/orxonox/controllers/FormationController.cc
===================================================================
--- /code/branches/presentation2011/src/orxonox/controllers/FormationController.cc	(revision 9005)
+++ /code/branches/presentation2011/src/orxonox/controllers/FormationController.cc	(revision 9006)
@@ -86,5 +86,5 @@
         this->bShooting_ = false;
         this->bHasTargetPosition_ = false;
-	this->bHasTargetOrientation_=false;
+        this->bHasTargetOrientation_=false;
         this->speedCounter_ = 0.2f;
         this->targetPosition_ = Vector3::ZERO;
